de.dhbwstuttgart.syntaxtree

## Class SyntaxTreeNode

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

All Implemented Interfaces:
  IItemWithOffset

Direct Known Subclasses:
  ArgumentList, FormalParameter, GenericDeclarationList, GTVDeclarationContext, Operator, ParameterList, SourceFile, Statement, Type

    public abstract class SyntaxTreeNode
    extends java.lang.Object
    implements IItemWithOffset

### Field Summary

Fields
`protected SyntaxTreeNode` `parent`

### Constructor Summary

Constructors
Constructor and Description
`SyntaxTreeNode()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addTypeInsertPoints(TypeInsertSet insertSet, ResultSet result)` Methode zur Generierung der TypeInsertPoints
`boolean` `equals(java.lang.Object object)`
`abstract Menge<? extends SyntaxTreeNode>` `getChildren()`
`java.lang.String` `getDescription()` Eine Beschreibung/Name des SyntaxTree-Nodes
`GTVDeclarationContext` `getGTVDeclarationContext()`
`SyntaxTreeNode` `getMatchingParentNode(SyntaxTreeNode inNode)`
`SyntaxTreeNode` `getParent()`
`Class` `getParentClass()`
`void` `parserPostProcessing(SyntaxTreeNode parent)` Wird nach dem Parsen aufgerufen.
`boolean` `seesType(Type tA2)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.dhbwstuttgart.core.IItemWithOffset

`getOffset, getVariableLength`

### Field Detail

#### parent

    protected SyntaxTreeNode parent

### Constructor Detail

#### SyntaxTreeNode

    public SyntaxTreeNode()

### Method Detail

#### parserPostProcessing

    public void parserPostProcessing(SyntaxTreeNode parent)

Wird nach dem Parsen aufgerufen. ErfÃ¼llt folgenden Aufgaben: 1. FÃ¼llt fehlende Typangaben mit TPHs auf. 2. VerknÃ¼pft die Knoten des Syntaxbaums. (setzt Parent) 3. Wechselt RefTypes gegebenenfalls mit GenericTypeVars aus. 4. FÃ¼hrt einen Teil des Syntaxckecks durch.

#### getParent

    public SyntaxTreeNode getParent()

#### getChildren

    public abstract Menge<? extends SyntaxTreeNode> getChildren()

#### getParentClass

    public Class getParentClass()

#### getDescription

    public java.lang.String getDescription()

Eine Beschreibung/Name des SyntaxTree-Nodes

Returns:

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`

#### addTypeInsertPoints

    public void addTypeInsertPoints(TypeInsertSet insertSet,
                                    ResultSet result)

Methode zur Generierung der TypeInsertPoints

Parameters:
  `insertSet` - - Generierte InsertPoints werden dem insertSet angefÃ¼gt
  `result` - - Das ResultSet auf dessen Basis die InsertPoints generiert werden

#### seesType

    public boolean seesType(Type tA2)

#### getMatchingParentNode

    public SyntaxTreeNode getMatchingParentNode(SyntaxTreeNode inNode)

#### getGTVDeclarationContext

    public GTVDeclarationContext getGTVDeclarationContext()